This is a development version of the documentation. Content may change without notice.
Voke Documentation
ReferenceREST API

Health

Health checks

Legacy health endpoint — alias of /health/live

GET
/api/v1/health

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/health"
{
  "status": "ok",
  "timestamp": "string"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}

Liveness check (public, minimal)

GET
/api/v1/health/live

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/health/live"
{
  "status": "ok",
  "timestamp": "string"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}

Readiness check with component details. Gated by INTERNAL_AUTH_SECRET in production.

GET
/api/v1/health/ready

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/health/ready"
{
  "checks": {
    "property1": "string",
    "property2": "string"
  },
  "status": "healthy",
  "timestamp": "string"
}
{
  "code": "FORBIDDEN",
  "details": {},
  "error": "Forbidden",
  "message": "Missing or invalid internal auth",
  "statusCode": 400
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}
{
  "checks": {
    "property1": "string",
    "property2": "string"
  },
  "status": "healthy",
  "timestamp": "string"
}